//
// $Id: PointSet2D.cc,v 1.2 2004/03/01 09:46:54 min Exp min $
//

#include "lib/MyRandom.h"
#include "PointSet2D.h"





PointSet2D::PointSet2D(int nr_points)
{
  init(nr_points);
  
}  // constructor



PointSet2D::PointSet2D(PointSet2D& other)
{
  points.clear();
  for(int i=0; i < (2 * other.get_nr_points()); i++) {
    points.push_back(other[i]);
  }
  
}  // copy constructor



PointSet2D::~PointSet2D()
{

}  // destructor



void
PointSet2D::init(int nr_points)
{
  points.clear();
  for(int i=0; i < nr_points; i++) {
    points.push_back(MyRandom::uniform(0, 50) - 25);
    points.push_back(MyRandom::uniform(0, 50) - 25);
  }  // for
  
}  // PointSet2D::init


