//
// $Id: evo_par_default_traits.cc,v 1.2 2004/11/12 14:26:28 min Exp $
//

#include "evo_par_default_traits.h"



//
// termination parameters
//
int evo_par_default_traits::MAX_ITERATIONS = 100;  ///< max number of iterations to run the simulation
double evo_par_default_traits::TERMINATION_FITNESS_CUTOFF = 0.1;  ///< stop if the error is below this value
///< stop if the average difference between subsequent fitness values (over a window of e.g. 5 steps) is smaller than this value
double evo_par_default_traits::TERMINATION_FITNESS_EPSILON = 0.0001;

//
// evolution simulation parameters
//  
int evo_par_default_traits::POPULATION_SIZE = 30;
double evo_par_default_traits::PARENTS_PERCENTAGE = 75;
int evo_par_default_traits::MAX_PARENT_SELECTION_PASSES = 10;  // see Population::select_parent
int evo_par_default_traits::NR_CHILDREN = 14;

//
// miscellaneous parameters
//
int evo_par_default_traits::VERBOSITY = 1;



