//
// $Id$
//

#ifndef __MAP_H
#define __MAP_H

#include <vector>
#include <string>

using namespace std;





class Map
{

public:
  
  Map() {}
  Map(Map& map);
  virtual ~Map() {}

  void init_parameter_ranges(double *ranges, int nr);
  int init_parameter_ranges(string filespec);

  vector<double>& get_parameters() { return parameters; }
  vector<double>& get_parameter_ranges() { return parameter_ranges; }
  
  virtual string get_name() { return "Map"; };
  virtual int get_nr_pars() { return 0; }
  virtual string get_par_name(int index) { return "Empty"; }


protected:

  vector<double> parameter_ranges;
  vector<double> parameters;
  

};  // Map class


#endif

