//
// $Id: PointSet3D.h,v 1.1 2004/03/01 09:47:00 min Exp min $
//

#ifndef __PointSet3D_h
#define __PointSet3D_h

#include <vector>

using namespace std;





class PointSet3D
{

public:

  PointSet3D(int nr_points = 50);
  PointSet3D(PointSet3D& other);
  ~PointSet3D();


  void init(int nr_points);
  void clear() { points.clear(); }

  void add_point(double x, double y, double z) { points.push_back(x), points.push_back(y), points.push_back(z); }

  int get_nr_points() const { return points.size() / 3; }
  
  double& operator[](int index) { return points[index]; }
  double operator[](int index) const { return points[index]; }

  
private:

  vector<double> points;

  
};  // PointSet3D class


#endif


