//
// $Id$
//

#ifndef __Map_2d_Iso_h
#define __Map_2d_Iso_h

#include <vector>
#include "Map.h"
#include "data_types/PointSet2D.h"





class Map_2d_Iso : public Map
{

public:

  Map_2d_Iso();

  
  void operator()(const PointSet2D& source, PointSet2D& result,
		  const vector<double>& in_pars);

  string get_name() { return "2D Isometry"; }
  int get_nr_pars() { return 3; }
  string get_par_name(int index) { return par_names[index]; }

  
private:

  static string par_names[3];
  static double initial_ranges[6];
  
  
};  // Map_2d_Iso class


#endif


